Subject: Re: [PATCH] Disable TSO for non standard qdiscs

From: Rick Jones <[email-masked]>
Date: Thu, 31 Jan 2008 10:26:19 -0800

Andi Kleen wrote:
> TSO interacts badly with many queueing disciplines because they rely on 
> reordering packets from different streams and the large TSO packets can 
> make this difficult. This patch disables TSO for sockets that send over 
> devices with non standard queueing disciplines. That's anything but noop 
> or pfifo_fast and pfifo right now.

Does this also imply that JumboFrames interacts badly with these qdiscs? 
  Or IPoIB with its 65000ish byte MTU?

rick jones